Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1835503 - DejaVu font issue
Summary: DejaVu font issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gravity-beams-and-evaporating-stars
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Artur Frenszek-Iwicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1806272
TreeView+ depends on / blocked
 
Reported: 2020-05-13 23:07 UTC by Bruno Wolff III
Modified: 2020-05-23 02:44 UTC (History)
2 users (show)

Fixed In Version: gravity-beams-and-evaporating-stars-1.0-5.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-23 02:44:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Bruno Wolff III 2020-05-13 23:07:55 UTC
It looks like your package uses DejaVu fonts in a way that might be affected by changes to the way DejaVu fonts are packaged. As a temporary measure symlinks were added so that the old paths would still work in f32.  However, they are going to be removed in f33 and you will want to make sure your package will work there. Typically the issue does not result in obvious build errors, but rather problems will show up at run time.

One way to work around this issue is to make finding the font paths more automated at build time. This can be done using fontconfig to search for fonts installed in the build root and use the returned path to create symlinks.

So you might use something like the following to set up the build environment:

%global fonts font(dejavusans)
BuildRequires: fontconfig %{fonts}
Requires: %{fonts}

Then in the install section you might use something like the following to create the symlinks:

pushd $RPM_BUILD_ROOT
ln -f -s $(fc-match -f "%{file}" "sans") \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/data/fonts/sans.ttf
popd

There is additional information in a bug covering the DevaVu change (bug 1806272) and an example fix discussed in a hedgewars bug (bug 1823360).

Comment 1 Artur Frenszek-Iwicki 2020-05-14 21:39:54 UTC
Thanks for the heads-up. I have some other packages in-review that will also need changes, so the "how to solve" instructions are very helpful.

Comment 2 Fedora Update System 2020-05-14 22:20:51 UTC
FEDORA-2020-2dd1847d49 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2dd1847d49

Comment 3 Fedora Update System 2020-05-15 04:31:28 UTC
FEDORA-2020-2dd1847d49 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2dd1847d49`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2dd1847d49

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-05-23 02:44:38 UTC
FEDORA-2020-2dd1847d49 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.